afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## afc_client_new_from_house_arrest_client()

LIBIMOBILEDEVICE_API afc_error_t afc_client_new_from_house_arrest_client | ( | house_arrest_client_t | client,
|  | afc_client_t * | afc_client )

Creates an AFC client using the given house_arrest client's connection allowing file access to a specific application directory requested by functions like house_arrest_request_vendor_documents().

Parameters

  client | The house_arrest client to use.
  afc_client | Pointer that will be set to a newly allocated afc_client_t upon successful return.

Note
  After calling this function the house_arrest client will go in an AFC mode that will only allow calling house_arrest_client_free(). Only call house_arrest_client_free() if all AFC operations have completed since it will close the connection.

Returns
  AFC_E_SUCCESS if the afc client was successfully created, AFC_E_INVALID_ARG if client is invalid or was already used to create an afc client, or an AFC_E_* error code returned by afc_client_new_with_service_client().